Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
jctrans.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_coef_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_coef_controller * | my_coef_ptr

## Functions
| LOCAL (void) transencode_master_selection JPP((j_compress_ptr cinfo
| jpeg_write_coefficients (j_compress_ptr cinfo, jvirt_barray_ptr *coef_arrays)
| jpeg_copy_critical_parameters (j_decompress_ptr srcinfo, j_compress_ptr dstinfo)
| transencode_master_selection (j_compress_ptr cinfo, jvirt_barray_ptr *coef_arrays)
| start_iMCU_row (j_compress_ptr cinfo)
| start_pass_coef (j_compress_ptr cinfo, J_BUF_MODE pass_mode)
| compress_output (j_compress_ptr cinfo, JSAMPIMAGE input_buf)
| transencode_coef_controller (j_compress_ptr cinfo, jvirt_barray_ptr *coef_arrays)

## Variables
jvirt_barray_ptr * | coef_arrays

## Macro Definition Documentation

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ my_coef_ptr

typedef my_coef_controller* my_coef_ptr

## Function Documentation

## ◆ compress_output()

compress_output | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf )

## ◆ jpeg_copy_critical_parameters()

jpeg_copy_critical_parameters | ( | j_decompress_ptr | srcinfo,
|  | j_compress_ptr | dstinfo )

## ◆ jpeg_write_coefficients()

jpeg_write_coefficients | ( | j_compress_ptr | cinfo,
|  | jvirt_barray_ptr * | coef_arrays )

## ◆ LOCAL()

LOCAL | ( | void |  | ) |

## ◆ start_iMCU_row()

start_iMCU_row | ( | j_compress_ptr | cinfo | ) |

## ◆ start_pass_coef()

start_pass_coef | ( | j_compress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode )

## ◆ transencode_coef_controller()

transencode_coef_controller | ( | j_compress_ptr | cinfo,
|  | jvirt_barray_ptr * | coef_arrays )

## ◆ transencode_master_selection()

transencode_master_selection | ( | j_compress_ptr | cinfo,
|  | jvirt_barray_ptr * | coef_arrays )

## Variable Documentation

## ◆ coef_arrays

jvirt_barray_ptr * coef_arrays